=== debian/control ===
Source: ros-galactic-rmw-gurumdds-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-gurumdds-cmake-module, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-gurumdds-shared-cpp, ros-galactic-rosidl-cmake, ros-galactic-rosidl-generator-dds-idl, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmw-gurumdds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.8, ros-galactic-gurumdds-cmake-module, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-gurumdds-shared-cpp, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-ros-workspace
Description: Implement the ROS middleware interface using GurumNetworks GurumDDS static code generation in C++.
